.slider-wrapper {
    margin-bottom: 1.5em;
    min-height: 2em;
}

  .slider-wrapper .symbol {
      float: left;
      text-align: center;
      line-height: 1.5em;
      height: 1.5em;
      width: 5%;
  }

  .slider-wrapper .value {
      float: left;
      line-height: 1em;
      font-size: 1.5em;
      font-weight: bold;
      text-align: right;
      width: 10%;
  }

  .slider-wrapper input[type=range] {
      float: left;
      margin-left: 5%;
      padding: 0;
      line-height: 1.5em;
      height: 1.5em;
      width: 80%;
      background-color: transparent;
      -webkit-appearance: none;
  }

    .slider-wrapper input[type=range]:focus {
          outline: none;
      }

    .slider-wrapper input[type=range]:active {
        outline: none;
    }

    /* Firefox fix for input[type=range] outline when focused */
    .slider-wrapper input[type=range]::-moz-focus-outer {
        border: 0;
    }

    .slider-wrapper input[type=range]::-webkit-slider-runnable-track {
      -webkit-appearance: none;
      border: none;
      border-radius: 0.25em;
      color: transparent;
      background: #a0a0a0;
      height: var(--slider-track-height);

      transition: all 0.2s ease;
    }

      .slider-wrapper input[type=range]::-webkit-slider-runnable-track:active {
        background: #808080;
      }

    .slider-wrapper input[type=range]::-webkit-slider-thumb {
      -webkit-appearance: none;
      border: none;
      border: var(--slider-thumb-border-height) solid #f0f0f0;
      border-radius: 50%;
      box-sizing: border-box;
      margin-top: calc(-1 * var(--slider-thumb-margin));
      background: #4285f4;
      height: var(--slider-thumb-height);
      width: var(--slider-thumb-width);
      cursor: pointer;

      transition: all 0.2s ease;
    }

        .slider-wrapper input[type=range]::-webkit-slider-thumb:active {
          border: var(--slider-thumb-active-border-height) solid #f0f0f0;
          margin-top: calc(-1 * var(--slider-thumb-active-margin));
          height: var(--slider-thumb-active-height);
          width: var(--slider-thumb-active-width);
        }

    .slider-wrapper input[type=range]::-moz-range-track {
      -webkit-appearance: none;
      border: none;
      border-radius: 0.25em;
      color: transparent;
      background: #a0a0a0;
      height: var(--slider-track-height);

      transition: all 0.2s ease;
    }

      .slider-wrapper input[type=range]::-moz-range-track:active {
        background: #808080;
      }

    .slider-wrapper input[type=range]::-moz-range-thumb {
      -webkit-appearance: none;
      border: none;
      border: var(--slider-thumb-border-height) solid #f0f0f0;
      border-radius: 50%;
      box-sizing: border-box;
      margin-top: calc(-1 * var(--slider-thumb-margin));
      background: #4285f4;
      height: var(--slider-thumb-height);
      width: var(--slider-thumb-width);
      cursor: pointer;

      transition: all 0.2s ease;
    }

      .slider-wrapper input[type=range]::-moz-range-thumb:active {
        border: var(--slider-thumb-active-border-height) solid #f0f0f0;
        margin-top: calc(-1 * var(--slider-thumb-active-margin));
        height: var(--slider-thumb-active-height);
        width: var(--slider-thumb-active-width);
      }

    .slider-wrapper input[type=range]::-ms-track {
      -webkit-appearance: none;
      border: none;
      border-radius: 0.25em;
      color: transparent;
      background: #a0a0a0;
      height: var(--slider-track-height);

      transition: all 0.2s ease;
    }

      .slider-wrapper input[type=range]::-ms-track:active {
        background: #808080;
      }

    .slider-wrapper input[type=range]::-ms-thumb {
      -webkit-appearance: none;
      border: none;
      border: var(--slider-thumb-border-height) solid #f0f0f0;
      border-radius: 50%;
      box-sizing: border-box;
      margin-top: calc(-1 * var(--slider-thumb-margin));
      background: #4285f4;
      height: var(--slider-thumb-height);
      width: var(--slider-thumb-width);
      cursor: pointer;

      transition: all 0.2s ease;
    }

      .slider-wrapper input[type=range]::-ms-thumb:active {
        border: var(--slider-thumb-active-border-height) solid #f0f0f0;
        margin-top: calc(-1 * var(--slider-thumb-active-margin));
        height: var(--slider-thumb-active-height);
        width: var(--slider-thumb-active-width);
      }
